Package ru.bitel.bgbilling.modules.paymaster.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.paymaster.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_AUTH_URL`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_ENABLE`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_ENABLE`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_ENABLE`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_ENABLE`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_REST_USER_NAME`
  `static final String`
  `KEY_PAYMASTER_AUTOPAYMENT_REST_USER_PSWD`
  `static final String`
  `KEY_PAYMASTER_CURRENCY`
  `static final String`
  `KEY_PAYMASTER_DIGEST_TYPE`
  `static final String`
  `KEY_PAYMASTER_DIRECT_AUTH_URL`
  `static final String`
  `KEY_PAYMASTER_DIRECT_COMPLETE_URL`
  `static final String`
  `KEY_PAYMASTER_DIRECT_INIT_URL`
  `static final String`
  `KEY_PAYMASTER_DIRECT_REDIRECT_URI`
  `static final String`
  `KEY_PAYMASTER_DIRECT_RESPONSE_TYPE`
  `static final String`
  `KEY_PAYMASTER_DIRECT_SCOPE`
  `static final String`
  `KEY_PAYMASTER_DIRECT_SECRET`
  `static final String`
  `KEY_PAYMASTER_DIRECT_TOKEN_URL`
  `static final String`
  `KEY_PAYMASTER_FAILURE_URL`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_ENABLE`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_RECEIPT_QTY`
  `static final String`
  `KEY_PAYMASTER_FISCALIZATION_RECEIPT_TAX`
  `static final String`
  `KEY_PAYMASTER_GATE_URL`
  `static final String`
  `KEY_PAYMASTER_MERCHANT_ID`
  `static final String`
  `KEY_PAYMASTER_PAYER_EMAIL`
  `static final String`
  `KEY_PAYMASTER_PAYER_PHONE_NUMBER`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_COMMENT`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_CONFIRMATION_URL`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_DESC`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_DESC_BASE64`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_METHOD`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_NOTIFICATION_URL`
  `static final String`
  `KEY_PAYMASTER_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_PAYMASTER_SECRET`
  `static final String`
  `KEY_PAYMASTER_SIM_MODE`
  `static final String`
  `KEY_PAYMASTER_SUCCESS_URL`
  `static final String`
  `KEY_PAYMASTER_SUM_MAX`
  `static final String`
  `KEY_PAYMASTER_SUM_MIN`
  `static final String`
  `LMI_CREATE_TOKEN`
  `static final String`
  `LMI_CURRENCY`
  Идентификатор валюты платежа.
  `static final String`
  `LMI_FAILURE_URL`
  Если присутствует, то при отмене платежа пользователь будет отправлен по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_HASH`
  Контрольная подпись запроса
  `static final String`
  `LMI_INVOICE_CONFIRMATION_URL`
  Если присутствует, то запрос Invoice Confirmation будет отправляться по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_MERCHANT_ID`
  Идентификатор учетной записи, под которым Компания зарегистрирована в системе Paymaster
  `static final String`
  `LMI_PAID_AMOUNT`
  Сумма платежа в валюте, в которой покупатель производит платеж
  Дробное число с разделителем “.”, не более 2 знаков после точки.
  `static final String`
  `LMI_PAID_CURRENCY`
  Валюта, в которой производится платеж
  Это не обязательно ISO-код валюты.
  `static final String`
  `LMI_PAYER_EMAIL`
  E-mail покупателя.
  `static final String`
  `LMI_PAYER_PHONE_NUMBER`
  Номер телефона покупателя в международном формате без ведущих символов + (например, 79031234567).
  `static final String`
  `LMI_PAYMENT_AMOUNT`
  Сумма платежа, которую Компания желает получить от Банка.
  `static final String`
  `LMI_PAYMENT_DESC`
  Описание товара или услуги.
  `static final String`
  `LMI_PAYMENT_DESC_BASE64`
  Описание товара или услуги в UTF-8 и далее закодированное алгоритмом Base64.
  `static final String`
  `LMI_PAYMENT_METHOD`
  `static final String`
  `LMI_PAYMENT_NO`
  В этом поле Компания задает идентификатор покупки в соответствии со своей системой учета.
  `static final String`
  `LMI_PAYMENT_NOTIFICATION_URL`
  Если присутствует, то запрос Payment Notification будет отправляться по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_PAYMENT_SYSTEM`
  Идентификатор платежной системы, выбранной покупателем
  Список платежных систем и их идентификаторы доступны на сайте Paymaster.
  `static final String`
  `LMI_PREREQUEST`
  Флаг предзапроса
  Для запроса Invoice Confirmation - значение всегда 1.
  Для запроса Payment Confirmation - значение всегда 2.
  `static final String`
  `LMI_SIM_MODE`
  Дополнительное поле, определяющее режим тестирования.
  `static final String`
  `LMI_SUCCESS_URL`
  Если присутствует, то при успешном платеже пользователь будет отправлен по указанному URL (а не установленному в настройках).
  `static final String`
  `LMI_SYS_PAYMENT_DATE`
  Дата платежа
  Дата проведения платежа в системе Paymaster.
  `static final String`
  `LMI_SYS_PAYMENT_ID`
  Номер платежа в системе Paymaster
  Идентификатор платежа в системе Paymaster.
  `static final String`
  `LMI_TOKEN_CODE`
  `static final String`
  `PARAM_ACCESS_TOKEN`
  `static final String`
  `PARAM_AMOUNT`
  `static final String`
  `PARAM_CLIENT_ID`
  `static final String`
  `PARAM_CODE`
  `static final String`
  `PARAM_CURRENCY`
  `static final String`
  `PARAM_DESCRIPTION`
  `static final String`
  `PARAM_GRANT_TYPE`
  `static final String`
  `PARAM_IAT`
  `static final String`
  `PARAM_LIMITS`
  `static final String`
  `PARAM_MERCHANT_ID`
  `static final String`
  `PARAM_MERCHANT_TRANSACTION_ID`
  `static final String`
  `PARAM_REDIRECT_URI`
  `static final String`
  `PARAM_RESPONSE_TYPE`
  `static final String`
  `PARAM_SCOPE`
  `static final String`
  `PARAM_SEARCH_MODE`
  `static final String`
  `PARAM_SIGN`
  `static final String`
  `PARAM_STATUS`
  `static final String`
  `PARAM_TYPE`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_DEFAULT`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final int`
  `PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `PAYMASTER_CURRENCY`
  `static final String`
  `PAYMASTER_CURRENCY_RUB`
  `static final String`
  `PAYMASTER_DIGEST_TYPE`
  `static final String`
  `PAYMASTER_DIRECT_AUTH_URL`
  `static final String`
  `PAYMASTER_DIRECT_COMPLETE_URL`
  `static final String`
  `PAYMASTER_DIRECT_INIT_URL`
  `static final String`
  `PAYMASTER_DIRECT_TOKEN_URL`
  `static final String`
  `PAYMASTER_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `PAYMASTER_FISCALIZATION_RECEIPT_TAX`
  `static final String`
  `PAYMASTER_GATE_URL`
  `static final String`
  `PAYMASTER_PAYMENT_COMMENT`
  `static final String`
  `PAYMASTER_PAYMENT_DESC`
  `static final String`
  `PAYMASTER_PAYMENT_METHOD`
  `static final String`
  `PAYMASTER_RESPONSE_TYPE`
  `static final String`
  `PAYMASTER_SEARCH_MODE_CONTRACT`
  `static final int`
  `PAYMASTER_SUM_MAX`
  `static final int`
  `PAYMASTER_SUM_MIN`
  `static final String`
  `PAYMASTER_TYPE_REST`
  `static final String`
  `RARAM_ERROR`
  `static final String`
  `STATUS_COMPLETE`
  `static final String`
  `STATUS_FAILURE`
  `static final String`
  `STATUS_IN_PROGRESS`
  `static final String`
  `STATUS_SUCCESS`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PAYMASTER_SUM_MIN

    public static final int PAYMASTER_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PAYMASTER_SUM_MAX

    public static final int PAYMASTER_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_DEFAULT

    public static final int PAYMASTER_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final int PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final int PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final int PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final int PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final int PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final int PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final int PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final int PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final int PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final int PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final int PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final int PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_SEARCH_MODE_CONTRACT

    public static final String PAYMASTER_SEARCH_MODE_CONTRACT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_TYPE_REST

    public static final String PAYMASTER_TYPE_REST
    See Also:
      - Constant Field Values

  - ### PAYMASTER_CURRENCY_RUB

    public static final String PAYMASTER_CURRENCY_RUB
    See Also:
      - Constant Field Values

  - ### PAYMASTER_GATE_URL

    public static final String PAYMASTER_GATE_URL
    See Also:
      - Constant Field Values

  - ### PAYMASTER_CURRENCY

    public static final String PAYMASTER_CURRENCY
    See Also:
      - Constant Field Values

  - ### PAYMASTER_PAYMENT_METHOD

    public static final String PAYMASTER_PAYMENT_METHOD
    See Also:
      - Constant Field Values

  - ### PAYMASTER_DIGEST_TYPE

    public static final String PAYMASTER_DIGEST_TYPE
    See Also:
      - Constant Field Values

  - ### PAYMASTER_RESPONSE_TYPE

    public static final String PAYMASTER_RESPONSE_TYPE
    See Also:
      - Constant Field Values

  - ### PAYMASTER_PAYMENT_DESC

    public static final String PAYMASTER_PAYMENT_DESC
    See Also:
      - Constant Field Values

  - ### PAYMASTER_PAYMENT_COMMENT

    public static final String PAYMASTER_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### PAYMASTER_DIRECT_AUTH_URL

    public static final String PAYMASTER_DIRECT_AUTH_URL
    See Also:
      - Constant Field Values

  - ### PAYMASTER_DIRECT_TOKEN_URL

    public static final String PAYMASTER_DIRECT_TOKEN_URL
    See Also:
      - Constant Field Values

  - ### PAYMASTER_DIRECT_INIT_URL

    public static final String PAYMASTER_DIRECT_INIT_URL
    See Also:
      - Constant Field Values

  - ### PAYMASTER_DIRECT_COMPLETE_URL

    public static final String PAYMASTER_DIRECT_COMPLETE_URL
    See Also:
      - Constant Field Values

  - ### PAYMASTER_FISCALIZATION_RECEIPT_NAME

    public static final String PAYMASTER_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### PAYMASTER_FISCALIZATION_RECEIPT_TAX

    public static final String PAYMASTER_FISCALIZATION_RECEIPT_TAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_SUM_MIN

    public static final String KEY_PAYMASTER_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_SUM_MAX

    public static final String KEY_PAYMASTER_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_GATE_URL

    public static final String KEY_PAYMASTER_GATE_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIGEST_TYPE

    public static final String KEY_PAYMASTER_DIGEST_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_MERCHANT_ID

    public static final String KEY_PAYMASTER_MERCHANT_ID
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_CURRENCY

    public static final String KEY_PAYMASTER_CURRENCY
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_DESC

    public static final String KEY_PAYMASTER_PAYMENT_DESC
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_DESC_BASE64

    public static final String KEY_PAYMASTER_PAYMENT_DESC_BASE64
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_METHOD

    public static final String KEY_PAYMASTER_PAYMENT_METHOD
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_COMMENT

    public static final String KEY_PAYMASTER_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_TYPE_ID

    public static final String KEY_PAYMASTER_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_CONFIRMATION_URL

    public static final String KEY_PAYMASTER_PAYMENT_CONFIRMATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYMENT_NOTIFICATION_URL

    public static final String KEY_PAYMASTER_PAYMENT_NOTIFICATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_SECRET

    public static final String KEY_PAYMASTER_SECRET
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_SIM_MODE

    public static final String KEY_PAYMASTER_SIM_MODE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_SUCCESS_URL

    public static final String KEY_PAYMASTER_SUCCESS_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FAILURE_URL

    public static final String KEY_PAYMASTER_FAILURE_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYER_EMAIL

    public static final String KEY_PAYMASTER_PAYER_EMAIL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_PAYER_PHONE_NUMBER

    public static final String KEY_PAYMASTER_PAYER_PHONE_NUMBER
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_RESPONSE_TYPE

    public static final String KEY_PAYMASTER_DIRECT_RESPONSE_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_REDIRECT_URI

    public static final String KEY_PAYMASTER_DIRECT_REDIRECT_URI
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_SCOPE

    public static final String KEY_PAYMASTER_DIRECT_SCOPE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_AUTH_URL

    public static final String KEY_PAYMASTER_DIRECT_AUTH_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_TOKEN_URL

    public static final String KEY_PAYMASTER_DIRECT_TOKEN_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_INIT_URL

    public static final String KEY_PAYMASTER_DIRECT_INIT_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_COMPLETE_URL

    public static final String KEY_PAYMASTER_DIRECT_COMPLETE_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_DIRECT_SECRET

    public static final String KEY_PAYMASTER_DIRECT_SECRET
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_PAYMASTER_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

  - ### STATUS_SUCCESS

    public static final String STATUS_SUCCESS
    See Also:
      - Constant Field Values

  - ### STATUS_COMPLETE

    public static final String STATUS_COMPLETE
    See Also:
      - Constant Field Values

  - ### STATUS_IN_PROGRESS

    public static final String STATUS_IN_PROGRESS
    See Also:
      - Constant Field Values

  - ### STATUS_FAILURE

    public static final String STATUS_FAILURE
    See Also:
      - Constant Field Values

  - ### RARAM_ERROR

    public static final String RARAM_ERROR
    See Also:
      - Constant Field Values

  - ### PARAM_STATUS

    public static final String PARAM_STATUS
    See Also:
      - Constant Field Values

  - ### PARAM_IAT

    public static final String PARAM_IAT
    See Also:
      - Constant Field Values

  - ### PARAM_SIGN

    public static final String PARAM_SIGN
    See Also:
      - Constant Field Values

  - ### PARAM_CODE

    public static final String PARAM_CODE
    See Also:
      - Constant Field Values

  - ### PARAM_TYPE

    public static final String PARAM_TYPE
    See Also:
      - Constant Field Values

  - ### PARAM_SCOPE

    public static final String PARAM_SCOPE
    See Also:
      - Constant Field Values

  - ### PARAM_AMOUNT

    public static final String PARAM_AMOUNT
    See Also:
      - Constant Field Values

  - ### PARAM_CURRENCY

    public static final String PARAM_CURRENCY
    See Also:
      - Constant Field Values

  - ### PARAM_LIMITS

    public static final String PARAM_LIMITS
    See Also:
      - Constant Field Values

  - ### PARAM_GRANT_TYPE

    public static final String PARAM_GRANT_TYPE
    See Also:
      - Constant Field Values

  - ### PARAM_CLIENT_ID

    public static final String PARAM_CLIENT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_MERCHANT_ID

    public static final String PARAM_MERCHANT_ID
    See Also:
      - Constant Field Values

  - ### PARAM_DESCRIPTION

    public static final String PARAM_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### PARAM_ACCESS_TOKEN

    public static final String PARAM_ACCESS_TOKEN
    See Also:
      - Constant Field Values

  - ### PARAM_REDIRECT_URI

    public static final String PARAM_REDIRECT_URI
    See Also:
      - Constant Field Values

  - ### PARAM_RESPONSE_TYPE

    public static final String PARAM_RESPONSE_TYPE
    See Also:
      - Constant Field Values

  - ### PARAM_MERCHANT_TRANSACTION_ID

    public static final String PARAM_MERCHANT_TRANSACTION_ID
    See Also:
      - Constant Field Values

  - ### PARAM_SEARCH_MODE

    public static final String PARAM_SEARCH_MODE
    See Also:
      - Constant Field Values

  - ### KEY_AUTH_URL

    public static final String KEY_AUTH_URL
    See Also:
      - Constant Field Values

  - ### LMI_MERCHANT_ID

    public static final String LMI_MERCHANT_ID
    Идентификатор учетной записи, под которым Компания зарегистрирована в системе Paymaster
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_AMOUNT

    public static final String LMI_PAYMENT_AMOUNT
    Сумма платежа, которую Компания желает получить от Банка. Сумма должна быть больше нуля, дробная часть отделяется точкой.
    See Also:
      - Constant Field Values

  - ### LMI_CURRENCY

    public static final String LMI_CURRENCY
    Идентификатор валюты платежа. Система Paymaster понимает как текстовые 3-буквенные коды валюты (RUB, EUR), так и ISO-коды (643, 978)
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_NO

    public static final String LMI_PAYMENT_NO
    В этом поле Компания задает идентификатор покупки в соответствии со своей системой учета. Несмотря на то, что параметр не является обязательным, мы рекомендуем всегда задавать его. Идентификатор должен представлять собой непустую строку.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_DESC

    public static final String LMI_PAYMENT_DESC
    Описание товара или услуги. Формируется Компанией. Максимальная длина - 255 символов.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_DESC_BASE64

    public static final String LMI_PAYMENT_DESC_BASE64
    Описание товара или услуги в UTF-8 и далее закодированное алгоритмом Base64. Формируется Компанией. Если присутствует, то результат раскодирования будет подставлен вместо LMI_PAYMENT_DESC. Позволяет не зависеть от кодировки на сайте Компании.
    See Also:
      - Constant Field Values

  - ### LMI_SIM_MODE

    public static final String LMI_SIM_MODE
    Дополнительное поле, определяющее режим тестирования. Действует только в режиме тестирования и может принимать одно из следующих значений: 0 или отсутствует: Для всех тестовых платежей сервис будет имитировать успешное выполнение; 1: Для всех тестовых платежей сервис будет имитировать выполнение с ошибкой (платеж не выполнен); 2: Около 80% запросов на платеж будут выполнены успешно, а 20% - не выполнены.
    See Also:
      - Constant Field Values

  - ### LMI_INVOICE_CONFIRMATION_URL

    public static final String LMI_INVOICE_CONFIRMATION_URL
    Если присутствует, то запрос Invoice Confirmation будет отправляться по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_NOTIFICATION_URL

    public static final String LMI_PAYMENT_NOTIFICATION_URL
    Если присутствует, то запрос Payment Notification будет отправляться по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_SUCCESS_URL

    public static final String LMI_SUCCESS_URL
    Если присутствует, то при успешном платеже пользователь будет отправлен по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_FAILURE_URL

    public static final String LMI_FAILURE_URL
    Если присутствует, то при отмене платежа пользователь будет отправлен по указанному URL (а не установленному в настройках). Этот параметр игнорируется, если в настройках учетной записи Компании запрещена замена URL.
    See Also:
      - Constant Field Values

  - ### LMI_PAYER_PHONE_NUMBER

    public static final String LMI_PAYER_PHONE_NUMBER
    Номер телефона покупателя в международном формате без ведущих символов + (например, 79031234567). Эти данные используются системой Paymaster для оповещения пользователя о статусе платежа. Кроме того, некоторые платежные системы требуют указания номера телефона.
    See Also:
      - Constant Field Values

  - ### LMI_PAYER_EMAIL

    public static final String LMI_PAYER_EMAIL
    E-mail покупателя. Эти данные используются системой Paymaster для оповещения пользователя о статусе платежа. Кроме того, некоторые платежные системы требуют указания e-mail.
    See Also:
      - Constant Field Values

  - ### LMI_PREREQUEST

    public static final String LMI_PREREQUEST
    Флаг предзапроса
    Для запроса Invoice Confirmation - значение всегда 1.
    Для запроса Payment Confirmation - значение всегда 2.
    See Also:
      - Constant Field Values

  - ### LMI_PAID_AMOUNT

    public static final String LMI_PAID_AMOUNT
    Сумма платежа в валюте, в которой покупатель производит платеж
    Дробное число с разделителем “.”, не более 2 знаков после точки.
    See Also:
      - Constant Field Values

  - ### LMI_PAID_CURRENCY

    public static final String LMI_PAID_CURRENCY
    Валюта, в которой производится платеж
    Это не обязательно ISO-код валюты. Например, WMZ, YANDEX.RUB
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_SYSTEM

    public static final String LMI_PAYMENT_SYSTEM
    Идентификатор платежной системы, выбранной покупателем
    Список платежных систем и их идентификаторы доступны на сайте Paymaster.
    See Also:
      - Constant Field Values

  - ### LMI_SYS_PAYMENT_ID

    public static final String LMI_SYS_PAYMENT_ID
    Номер платежа в системе Paymaster
    Идентификатор платежа в системе Paymaster. Компании рекомендуется сохранить этот идентификатор.
    See Also:
      - Constant Field Values

  - ### LMI_SYS_PAYMENT_DATE

    public static final String LMI_SYS_PAYMENT_DATE
    Дата платежа
    Дата проведения платежа в системе Paymaster. Формат YYYY-MM-DDThh:mm:ss, часовой пояс UTC.
    See Also:
      - Constant Field Values

  - ### LMI_HASH

    public static final String LMI_HASH
    Контрольная подпись запроса

    Контрольная подпись запроса, сформированая по правилам формирования контрольной подписи

    Для обеспечения целостности запроса, система Paymaster формирует контрольную подпись запроса Payment Notification по следующему правилу:

    1. Следующие параметры записываются в одну строчку, разделенные символом ‘;’: LMI_MERCHANT_ID, LMI_PAYMENT_NO, LMI_SYS_PAYMENT_ID, LMI_SYS_PAYMENT_DATE, LMI_PAYMENT_AMOUNT, LMI_CURRENCY, LMI_PAID_AMOUNT, LMI_PAID_CURRENCY, LMI_PAYMENT_SYSTEM, LMI_SIM_MODE (это все стандартные параметры, кроме LMI_PAYMENT_DESC). При этом если параметр отсутствует, вместо него пишется пустая строка.

    2. К строке добавляется еще один символ ‘;’ и секретное слово, указанное в настройках Компании.

    3. Полученная строка рассматривается как массив байтов в кодировке UTF-8, и от нее вычисляется хеш MD5 или SHA1 (в зависимости от того, какой метод указан в настройках учетной записи Компании).

    4. Этот хеш (последовательность байт) преобразовывается в Base64-строку. Эта строка и есть значение параметра LMI_HASH.

    See Also:
      - Constant Field Values

  - ### LMI_TOKEN_CODE

    public static final String LMI_TOKEN_CODE
    See Also:
      - Constant Field Values

  - ### LMI_CREATE_TOKEN

    public static final String LMI_CREATE_TOKEN
    See Also:
      - Constant Field Values

  - ### LMI_PAYMENT_METHOD

    public static final String LMI_PAYMENT_METHOD
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_ENABLE

    public static final String KEY_PAYMASTER_AUTOPAYMENT_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_REST_USER_NAME

    public static final String KEY_PAYMASTER_AUTOPAYMENT_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_REST_USER_PSWD

    public static final String KEY_PAYMASTER_AUTOPAYMENT_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_ENABLE

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_ENABLE

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_ENABLE

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final String KEY_PAYMASTER_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_ENABLE

    public static final String KEY_PAYMASTER_FISCALIZATION_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_RECEIPT_NAME

    public static final String KEY_PAYMASTER_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_RECEIPT_QTY

    public static final String KEY_PAYMASTER_FISCALIZATION_RECEIPT_QTY
    See Also:
      - Constant Field Values

  - ### KEY_PAYMASTER_FISCALIZATION_RECEIPT_TAX

    public static final String KEY_PAYMASTER_FISCALIZATION_RECEIPT_TAX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()